Upstream information

CVE-2011-0530 at MITRE

Description

Buffer overflow in the mainloop function in nbd-server.c in the server in Network Block Device (nbd) before 2.9.20 might allow remote attackers to execute arbitrary code via a long request. NOTE: this issue exists because of a CVE-2005-3534 regression.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 674281 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • nbd >= 2.9.20-0.7.1
sle10-sp3-sdk.s390x
sles10-sp3.x86
sle10-sp3-sdk.x86-64
sles10-sp3.x86-64
sle10-sp3-sdk.x86
sle10-sp3-sdk.ia64
sles10-sp3.s390x
sles10-sp3.ppc
sle10-sp3-sdk.ppc
sles10-sp3.ia64
ZYPP Patch Nr: 7455
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP4 for IPF
SUSE Linux Enterprise Server 10 SP4 for x86
  • nbd >= 2.9.20-0.7.1
sles10-sp4.x86-64
sles10-sp4.x86
sles10-sp4.s390x
sles10-sp4.ia64
sles10-sp4.ppc
ZYPP Patch Nr: 7450
openSUSE 11.2
openSUSE 11.3
  • nbd-debuginfo >= 2.9.20-1.3.1
  • nbd-debugsource >= 2.9.20-1.3.1
openSUSE 11.2
openSUSE 11.3
  • nbd >= 2.9.20-1.3.1
  • nbd-doc >= 2.9.20-1.3.1
openSUSE 11.2
openSUSE 11.3
  • nbd-debuginfo >= 2.9.20-1.5.1
  • nbd-debugsource >= 2.9.20-1.5.1
openSUSE 11.2
openSUSE 11.3
  • nbd >= 2.9.20-1.5.1
  • nbd-doc >= 2.9.20-1.5.1
openSUSE 11.4
  • nbd >= 2.9.20-1.4.1
  • nbd-doc >= 2.9.20-1.4.1
openSUSE 11.4
  • nbd >= 2.9.20-1.4.1
  • nbd-debuginfo >= 2.9.20-1.4.1
  • nbd-debugsource >= 2.9.20-1.4.1
  • nbd-doc >= 2.9.20-1.4.1
Patchnames:
nbd


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Server 10 SP3 nbd Released
SUSE Linux Enterprise Server 10 SP4 nbd Released
SUSE Linux Enterprise Server 10 SP4 LTSS nbd Released